<?php
session_start(); 
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
$pers=1; $pers2=1; $totabo=0;
   $id_cd=$sesion->id;
$qPP = "SELECT inversionista.id_inver as inver, referencia, nombre, appat, apmat, sum(cant) as cantidad, cel, evento19.ciudad as ciudad, boleto, ident, habitacion, nombre_trans, fecha, hora, producto, codigo FROM transacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pedido on pedido.transacciones_idtransacciones=transacciones.idtransacciones left join evento19 on evento19.id_inver=inversionista.id_inver WHERE tipostr_idtipostr=10  and productos_idprod=553 group by inversionista.id_inver";
echo"<form name=\"transito\" action=\"evento19_prod.php\" method=\"post\">";
$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

if(mysqli_affected_rows($conexion))
{


echo "<center><br><br><b>Lista de Asistentes Evento Melia 2019</b><br><br><table border=\"1\">
<th>Promo</th><th></th><th>Referencia</th><th>Nombre</th><th>Pagado</th><th>Boleto</th><th>precio</th><th>Hab</th><th>I.D.</th><th>Transporte</th><th>Clave Res.</th><th>Fecha E</th><th>Hora E</th><th>Prod</th><th>Accion</th>";


while (($objetoPP=mysqli_fetch_object($rPP)) )

{$larefer=$objetoPP->referencia; $elinver=$objetoPP->inver;

echo"<tr>";
	
	$qPP1 = "SELECT idpromoesp from promo_esp where id_inverp=$elinver";

$rPP1 = mysqli_query($conexion, $qPP1) or die ('ErrPP: '. mysqli_error($conexion));

if(mysqli_affected_rows($conexion))
{
echo"<td>OK</td>";

}else{echo"<td><input type=checkbox name=ref[] value=$elinver ></td>";}
	

	
echo"

	<td>$pers</td>";








	$totabo+=$objetoPP->cantidad;
			if($objetoPP->boleto==NULL){
				echo "
			<td align=\"center\">$larefer</td> 
			<td align=\"center\">$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td> 
			<td align=\"center\">$objetoPP->cantidad</td> ";
				echo"<td>-</td><td>-</td><td>-</td><td>-</td><td>-</td><td>-</td><td>-</td><td>-</td><td>-</td>
				<form name=\"pagar\" action=\"evento19_edit.php\" method=\"post\">

			<input type=hidden name=idinv value='$objetoPP->inver'>
			

								 <td><input type=\"submit\" value=\"Agregar datos\" name=\"infoped\"></td></form>
				";
				
			}else{
				$qp = "SELECT * FROM tipo_boleto WHERE id_boleto =\"$objetoPP->boleto\"";
  $cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
  $rp = mysqli_fetch_object($cp);
  $tipo = $rp->tipo;$precio = $rp->precio;
  $pagado=$objetoPP->cantidad; $restante=$precio-$pagado;
  echo "
			<td align=\"center\">$larefer</td> 
			<td align=\"center\">$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td> 
			<form name=\"pagar\" action=\"codigoevento.php\" method=\"post\">

			<input type=hidden name=idinv value='$objetoPP->referencia'>
";
			
			
		if($restante>=1){echo"<td bgcolor=\"fc9c9c\" align=\"center\">$objetoPP->cantidad</td> ";}else{echo"<td  bgcolor=\"affabf\" align=\"center\">$objetoPP->cantidad<br><input type=\"submit\" value=\"Boleto\" name=\"infoped\"></td> ";}
			
			echo"</form><td>$tipo</td><td>$precio</td><td>$objetoPP->habitacion</td><td>$objetoPP->ident</td><td>$objetoPP->nombre_trans</td><td>$objetoPP->codigo</td><td>$objetoPP->fecha</td><td>$objetoPP->hora</td><td>$objetoPP->producto</td>	
				<form name=\"pagar\" action=\"evento19_detalle.php\" method=\"post\">

			<input type=hidden name=idinv value='$objetoPP->inver'>
			

								 <td><input type=\"submit\" value=\"Ver datos\" name=\"infoped\"></td></form>
								 <form name=\"pagar\" action=\"evento19_modif.php\" method=\"post\">

			<input type=hidden name=idinv value='$objetoPP->inver'>
			

								 <td><input type=\"submit\" value=\"Editar\" name=\"infoped\"></td></form>
				
				";
				
			}

		
echo"
		  </tr> 

		 ";

   $pers++;

}

	echo"</table>";   }
	echo"<br><br>El total abonado a evento es de $$totabo<br><br><input type=\"submit\" value=\"Agregar a promociones\" name=\"pago\"><br></center></form>";
	
	
	
	$qPP1 = "SELECT transacciones.idtransacciones as trans, consec, usuarios_ci_idusuarios_ci, inversionista.id_inver as inver, referencia, nombre, appat, apmat, cant, efectivo, deposito, tarjeta, voucher, porpagar, monto, idbanco FROM transacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join depositos_transaccion on depositos_transaccion.idtransacciones=transacciones.idtransacciones join   pedido on pedido.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on pagovta.idtransacciones=transacciones.idtransacciones  WHERE tipostr_idtipostr=10  and productos_idprod=553 order by inversionista.id_inver";

$rPP1 = mysqli_query($conexion, $qPP1) or die ('ErrPP: '. mysqli_error($conexion));

if(mysqli_affected_rows($conexion))
{


echo "<center><br><br><b>Lista de pagos</b><br><br><table border=\"1\">
<th></th><th>Transaccion</th><th>Pedido</th><th>Referencia</th><th>Nombre</th><th>cantidad</th><th>Efe</th><th>depo</th><th>tarj</th><th>vou</th><th>PP</th><th>monto</th><th>banco</th>";


while (($objetoPP=mysqli_fetch_object($rPP1)) )

{
echo"";

	$totabo2+=$objetoPP->monto;
	
	echo "<tr>

	<td>$pers</td>
			<td align=\"center\">$objetoPP->trans</td> <td align=\"center\">$objetoPP->usuarios_ci_idusuarios_ci - $objetoPP->consec</td> <td align=\"center\">$objetoPP->referencia</td> 
			<td align=\"center\">$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td> 
			<td align=\"center\">$objetoPP->cant</td>
			<td align=\"center\">$objetoPP->efectivo</td>
			<td align=\"center\">$objetoPP->deposito</td>
			<td align=\"center\">$objetoPP->tarjeta</td>
			<td align=\"center\">$objetoPP->voucher</td>
			<td align=\"center\">$objetoPP->porpagar</td>
			<td align=\"center\">$objetoPP->monto</td>
			<td align=\"center\">$objetoPP->idbanco</td></tr>";
	
	$pers2++;
	
			}
	
	echo"</table><br>el total pagado es $ $totabo2";
	
}
?>

